Patch SCMConfig
curl --request PATCH \
--url https://api.example.com/api/scm/deployments/{deploymentId}/configs/{configId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"configId": "<string>",
"accessToken": "<string>",
"autoScan": true,
"useNetworkBroker": true,
"namespace": "<string>",
"subscribe": true,
"autoScanSettings": {
"diffEnabled": true
}
}
'import requests
url = "https://api.example.com/api/scm/deployments/{deploymentId}/configs/{configId}"
payload = {
"deploymentId": "<string>",
"configId": "<string>",
"accessToken": "<string>",
"autoScan": True,
"useNetworkBroker": True,
"namespace": "<string>",
"subscribe": True,
"autoScanSettings": { "diffEnabled": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
configId: '<string>',
accessToken: '<string>',
autoScan: true,
useNetworkBroker: true,
namespace: '<string>',
subscribe: true,
autoScanSettings: {diffEnabled: true}
})
};
fetch('https://api.example.com/api/scm/deployments/{deploymentId}/configs/{configId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"id": "<string>",
"namespace": "<string>",
"sourceId": "<string>",
"baseUrl": "<string>",
"app": {
"id": "<string>",
"slug": "<string>",
"appId": "<string>",
"baseUrl": "<string>",
"requestId": "<string>",
"scmName": "<string>",
"codeAccess": true,
"tenantId": "<string>"
},
"status": {
"checked": "2023-11-07T05:31:56Z",
"ok": true,
"error": "<string>"
},
"installed": true,
"suspended": true,
"autoScan": true,
"useNetworkBroker": true,
"tokenScopes": {
"readMetadata": true,
"readPullRequest": true,
"writePullRequestComment": true,
"readContents": true,
"readMembers": true,
"manageWebhooks": true,
"writeContents": true,
"writePullRequest": true
},
"subscriptions": [
{
"scmUrl": "<string>",
"events": [
"<string>"
]
}
],
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"autoScanSettings": {
"diffEnabled": true
},
"hasAccessToken": true,
"scmId": "<string>"
}
}Source Code Management (SCM) Configs
Patch SCMConfig
Update an existing SCM config.
PATCH
/
api
/
scm
/
deployments
/
{deploymentId}
/
configs
/
{configId}
Patch SCMConfig
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I